GET
/
charges
/
search
Search fee charges
curl --request GET \
  --url https://api.next.orenda.finance/charges/search \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/charges/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.next.orenda.finance/charges/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "success": true,
  "result": {
    "total": 1,
    "data": [
      {
        "chargeId": "d9e0f1a2-8888-4c9d-8e0f-000011112222",
        "customerId": "c9f8e7d6-1111-4b2c-8d3e-444455556666",
        "accountId": "e4f5a6b7-3333-4d4e-8f5a-bbbbccccdddd",
        "accountType": "CURRENT",
        "amount": 250,
        "currency": "EUR",
        "status": "CHARGED",
        "createdDateTime": "2026-05-01T00:00:01.000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

programId
string
required

The program to scope results to. Required unless allPrograms=true is passed. Multi-program operators are bounded to their entitled programs.

customerId
string

Filter by customer ID. Comma-separated for multi-select.

keyword
string

Free-text search across indexed fields.

page
integer
default:1

1-based page number. Defaults to 1.

Required range: x >= 1
limit
integer

Maximum number of items per page.

Required range: x >= 1
allPrograms
enum<string>

When true, searches across all of the operator's entitled programs instead of a single programId.

Available options:
true,
false
status
string

Filter by status. Comma-separated for multi-select.

fromDate
string<date-time>

Lower bound (inclusive) on record date, ISO 8601.

toDate
string<date-time>

Upper bound (inclusive) on record date, ISO 8601.

resultType
enum<string>
default:json

Result format. json (default) returns inline results; file returns a presigned S3 CSV URL (valid 1 hour) in place of the data array.

Available options:
json,
file
filePrefix
string

Customises the filename of the exported CSV when resultType=file.

accountId
string

Filter by account ID. Comma-separated for multi-select.

accountType
string

Filter by account type. Comma-separated for multi-select.

currency
string

Filter by currency (ISO 4217). Comma-separated for multi-select.

Response

Matching charges, or a presigned export URL when resultType=file.

Inline JSON results, or — when resultType=file — a presigned CSV export URL.

success
boolean
Example:

true

result
object